Subject: Miner 2049er and Espial Dump questions

From: Jon Guidry <[email-masked]>
Date: Sun, 28 Feb 2010 18:23:58 -0600

Yes, I know these have been dumped already.  However, I'm just curious about how the actual physical carts work.

I hooked them up through a load interrupt switch (which I used to take off the +5V), fired up Mini Memory, and saved 4K of them at a time to CS1.  Here's what I found:

Miner 2049er:   Appears to have a >AA01 cart header at >A000.  Only has code from >A000-DFFF (16K total).   Tried making a .C and .D ROM into a RPK - got the title on the selection screen and then nothing.  My next step will be to "copy" C000-DFFF to 32K memory expansion, while keeping A000-BFFF in the cartridge ROM space at >6000.  I'm guessing it can't start at >A000, because doesn't the console only scan the >6000 space for ROM headers?  (So why is it showing up at >A000?)

Espial:  This one is strange.  I found code from >A000 all the way to >FFFF.  24K total.  Not sure if some of it was crap or not, but again, it begins as >AA01 in >A000.  (see above for my speculation on Miner 2049er).

Also, for kicks and grins... Killer Caterpillar:  Code in the DSR space from >4000 to >4FFF.  Also, code from >C000 to >DFFF.  16K total.    Probably like Arcturus, except it's only 16K. 

Anyone having the EA/5 versions of these three games, please send them me on a DSK file....  I'd like to get the rest of the "Sidecar carts" up on hexbus.com as EPROM images.

Thanks!
Jon